<?php
// PROCESS HERE
if (!isset($_GET['csv'])){
	wp_redirect('admin.php?page=zm-admin&mode=config&msg=' . base64_encode('The uploaded file has no content.') . '&import=error');
	exit;
}

$file_url =  zm_decode($_GET['csv'], 'csv');
$response = wp_remote_get($file_url, array( 'timeout' => 120, 'httpversion' => '1.1' ));
$data = str_getcsv($response['body'], "\n"); //parse the rows
?>
<div id="zm-csv"><!-- ajax load wrapper -->
<div class="zm-biglabel"><i class="icon-download-alt"></i> Import Member Wizard</div>
<form id="zm-csv-form" class="custom zm-csv-table" method="post">
<input type="hidden" name="zm-import-url" value="<?php echo $_GET['csv']; ?>">
<div id="zm-table-box">
<?php

$header = explode(',', $data[0]);
array_unshift($header, '');
$i=0;
$colnums = 0;
$valid_email = false;
$table = '';

foreach ($data as $row){
	if (!$i){
		$singledata = explode(',', $row);
		$table .= '<tr>';
		$table .= '<td></td>';
		foreach ($singledata as $singlerow){
			$table .= '<td>'.zm_row_type().'</td>';
		}
		$table .= '</tr>';
		$i++;
		continue;
	}
	
	if ($i > 10){
		
	}else{
		$colnums = 0;
		$singledata = explode(',', $row);
		$table .= '<tr>';
		$table .= '<td>'.$i.'.</td>';
		foreach ($singledata as $singlerow){
			$datavalue = trim($singlerow);
			
			if(filter_var($datavalue, FILTER_VALIDATE_EMAIL) ) {
  				$valid_email = true;
			}
			
			$table .= '<td>'.$datavalue.'</td>';
			
			if ($i < 3){
				$table .= '<input type="hidden" class="zm_preview_'.$i.'" name="zm_preview_'.$i.'[]" value="'.$datavalue.'">';
			}
			$colnums++;
		}
		$table .= '</tr>';
	}
	$i++;
}

if (!$valid_email){
	echo '<div class="alert-box alert" style="margin:10px 0"><p><b>Error!</b> Can\'t find any valid email on this CSV file.</p></div>';
}

zm_table_open($header, '', false);
echo $table;
echo '<tr><td>11.</td><td colspan="'.($colnums).'">etc...</td></tr>';
echo '<tr><td colspan="'.($colnums+1).'" style="text-align:center"><span class="gpf-label success round">10 of '.($i-1).' row(s)</span></td></tr>';
zm_table_close();
?>
	<br>
	<div class="gpf-row collapse">
		<div class="large-2 gpf-columns">
		  	<span class="prefix radius">Assign to Product/Level</span>
		</div>
		<div class="large-8 gpf-columns">
			<select name="zm-product-apply" id="zm-product-apply">
				<option value="x">[--Select Product/Level--]</option>
	    		<?php
	    		$products = zm_get_all('product');
    			foreach ($products as $product){
					echo '<option value="'.$product->ID.'">'.$product->title.'</option>';
    			}
	    		?>
	    	</select>
		</div>
		<div class="large-2 gpf-columns">
			<span id="zm-import-preview" class="postfix radius gpf-button">Next (Preview) <i class="icon-double-angle-right"></i></span>
		</div>
		<div class="large-2 gpf-columns">
		  	<span class="prefix radius">Is Subscription?</span>
		</div>
		<div class="large-10 gpf-columns">
			<input type="checkbox" value="1" name="is_subscription" id="is_subscription">
		</div>
	</div>
	<div class="gpf-row collapse" id="zm-subscription" style="display:none">
		<div class="large-2 gpf-columns">
	      <span class="prefix radius"><?php _e('Start of period', 'zm'); ?></span>
	    </div>
	    <div class="large-4 gpf-columns">
	    	<input type="text" class="zm-begin" name="zm-begin" value="<?php echo date("m/d/Y"); ?>"/>
	    </div>
	    <div class="large-2 gpf-columns">
	      <span class="prefix"><?php _e('End of period', 'zm'); ?><span data-tooltip class="zm-help tip-top" title="If you want to set to lifetime subscription, just set the date to Jan 1 2038"></span></span>
	    </div>
	    <div class="large-4 gpf-columns">
	    	<input type="text" class="zm-expired" name="zm-expired" value="<?php echo date("m/d/Y"); ?>"/>
	    </div>
	</div>
</div>
<div id="zm-preview-box" style="display:none">
	<div class="zm-tape" id="zm-preview-tape1"><strong class="title"><i class="icon-eye-open"></i> Preview #1</strong></div>
	<div class="gpf-row collapse" id="zm-preview-panel1">
		
	</div>
	<br>
	<div class="zm-tape" id="zm-preview-tape2"><strong class="title"><i class="icon-eye-open"></i> Preview #2</strong></div>
	<div class="gpf-row collapse" id="zm-preview-panel2">
		
	</div>
	<br>
	<span id="zm-import-back" class="radius gpf-button gpf-left"><i class="icon-double-angle-left"></i> Back</span>
	<span id="zm-import-finish" class="radius gpf-button gpf-right">Import <i class="icon-download-alt"></i></span>
</div>
<input type="hidden" name="zm_submit_form" value="save_import" />
</form>
</div>

<?php
function zm_row_type(){
	$elm = '<select name="zm_row_type[]" class="zm_row_type" id="zm_row_type">';
	$elm .= '<option value="ex">[--Select type--]</option>';
	$elm .= '<option value="fname">First Name</option>';
	$elm .= '<option value="lname">Last Name</option>';
	$elm .= '<option value="username">Username</option>';
	$elm .= '<option value="email">Email</option>';
	$elm .= '</select>';
	
	return $elm;
}
?>