<?php

$site_name = get_bloginfo('name');
$email_setup = get_option('zm_email_setup');
$general = get_option('zm_general_option');
$payment = get_option('zm_payment_option');

$mode = 'config_general';
		
if (isset($_GET['mode'])){
	$mode = $_GET['mode'];
}

if ($mode == 'config_general') : ?>
<div id="zm-config_general"><!-- ajax load wrapper -->
	<div class="gpf-row collapse">
	    <div class="large-12 gpf-columns">
	    	<div class="alert-box success" style="margin:10px 0"><p>We have created the necessary membership pages for you, as you can see below. You just need to quickly glance through them, then click "Next" on the bottom right.</p></div>
    	</div>
	</div>
	<div class="gpf-row collapse">
	    <div class="large-3 gpf-columns">
	      <span class="prefix radius">Login Page</span>
	    </div>
	    <div class="large-9 gpf-columns">
	    	<select name="zm-login-page" id="zm-login-page">
				<?php echo zm_get_pages('[ -- Select a page -- ]', zm_isset($general['login_page'])); ?>
      		</select>
	    </div>
    </div>
    
    <div class="gpf-row collapse">
	    <div class="large-3 gpf-columns">
	      <span class="prefix radius">After Login / Welcome Page<span data-tooltip class="zm-help tip-top" title="Where you want to redirect members right after they're logged in (e.g. membership home or dashboard)."></span></span>
	    </div>
	    <div class="large-9 gpf-columns">
	    	<select name="zm-after-login-page" id="zm-after-login-page">
	    		<?php echo zm_get_pages('[ -- Select a page -- ]', zm_isset($general['after_login_page'])); ?>
      		</select>
	    </div>
    </div>
    
    <div class="gpf-row collapse">
	    <div class="large-3 gpf-columns">
	      <span class="prefix radius">Insufficient Access Page<span data-tooltip class="zm-help tip-top" title="Where you want to redirect members if they have insufficient access to certain products/levels."></span></span>
	    </div>
	    <div class="large-9 gpf-columns">
	    	<select name="zm-access-error-page" id="zm-access-error-page">
	    		<?php echo zm_get_pages('[ -- Select a page -- ]', zm_isset($general['access_error_page'])); ?>
      		</select>
	    </div>
    </div>
    
    <div class="gpf-row collapse">
	    <div class="large-3 gpf-columns">
	      <span class="prefix radius">Not Yet Available Page<span data-tooltip class="zm-help tip-top" title="Where you want to redirect members if the content they're trying to access is unavailable."></span></span>
	    </div>
	    <div class="large-9 gpf-columns">
	    	<select name="zm-unavailable-page" id="zm-unavailable-page">
				<?php echo zm_get_pages('[ -- Select a page -- ]', zm_isset($general['unavailable_page'])); ?>
      		</select>
	    </div>
    </div>
    
    <div class="gpf-row collapse">
	    <div class="large-3 gpf-columns">
	      <span class="prefix radius">Content Expired Page<span data-tooltip class="zm-help tip-top" title="Where you want to redirect members if the content they're trying to access is expired."></span></span>
	    </div>
	    <div class="large-9 gpf-columns">
	    	<select name="zm-expired-page" id="zm-expired-page">
	    		<?php echo zm_get_pages('[ -- Select a page -- ]', zm_isset($general['expired_page'])); ?>
      		</select>
	    </div>
    </div>
    
    <div class="gpf-row collapse">
	    <div class="large-3 gpf-columns">
	      <span class="prefix radius">Members Profile Page<span data-tooltip class="zm-help tip-top" title="Your member profile page."></span></span>
	    </div>
	    <div class="large-9 gpf-columns">
	    	<select name="zm-profile-page" id="zm-profile-page">
				<?php echo zm_get_pages('[ -- Select a page -- ]', zm_isset($general['profile_page'])); ?>
      		</select>
	    </div>
    </div>
    
     <div class="gpf-row collapse">
	    <div class="large-3 gpf-columns">
	      <span class="prefix radius">After Logout URL<span data-tooltip class="zm-help tip-top" title="You can redirect members to any URL after they have logged out (optional)."></span></span>
	    </div>
	    <div class="large-9 gpf-columns">
	    	<input type="text" name="zm-logout-page" id="zm-logout-page" value="<?php echo zm_isset($general['logout_page'])?>" placeholder="http://"/>
	    </div>
	    <div class="large-12 gpf-columns">
	    	<!--<span data-url="<?php echo admin_url('admin.php?page=zm-admin'); ?>&mode=config_dashboard" data-mode="config_dashboard" data-title="ZM License &lsaquo; <?php echo $site_name; ?>" class="radius gpf-button zm-wizard-nav gpf-left"><i class="icon-double-angle-left"></i> Back</span>-->
	    	<span data-url="<?php echo admin_url('admin.php?page=zm-admin'); ?>&mode=config_payment" data-mode="config_payment" data-title="Zaxaa Member &lsaquo; <?php echo $site_name; ?>" class="radius gpf-button zm-wizard-nav gpf-right">Next <i class="icon-double-angle-right"></i></span>
	    </div>
    </div>
</div>
<?php elseif ($mode == 'config_payment') :?>
<div id="zm-config_payment"><!-- ajax load wrapper -->
	<div class="gpf-row collapse">
	    <div class="large-12 gpf-columns">
	    	<div class="alert-box success" style="margin:10px 0"><p>Please enter your Zaxaa API Signature below.</p></div>
    	</div>
	</div>
	<div class="gpf-row collapse">
			<div class="large-2 gpf-columns" style="display:none">
				<span class="prefix radius">Zaxaa Payment Setup</span>
			</div>
			<div class="large-10 gpf-columns" style="display:none">
				<select name="zm-pp-wizard" id="zm-pp-wizard">
					<?php
					$processor = array('zaxaa' => 'Zaxaa');
					
				   	if ( $payments = zm_available_payments() ) {
						foreach ( $payments as $k => $v ) {
							
							if (isset($processor[$v]))
								$name = $processor[$v];
							else
								$name = ucwords($v);
						
							echo '<option value="'.$v.'">'.$name.'</option>';
						}
					}
					?>
				</select>
			</div>
	    <div class="large-12 gpf-columns">
			<?php zm_get_payment_config($payment, 'wizard'); ?>
		</div>
	    <div class="large-12 gpf-columns">
	    	<span data-url="<?php echo admin_url('admin.php?page=zm-admin'); ?>&mode=config_general" data-mode="config_general" data-title="Zaxaa Membership Pages &lsaquo; <?php echo $site_name; ?>" class="radius gpf-button zm-wizard-nav gpf-left"><i class="icon-double-angle-left"></i> Back</span>
	    	<span data-url="<?php echo admin_url('admin.php?page=zm-admin'); ?>&mode=config_email" data-mode="config_email" data-title="Zaxaa Email Setup &lsaquo; <?php echo $site_name; ?>" class="radius gpf-button zm-wizard-nav gpf-right">Next <i class="icon-double-angle-right"></i></span>
	    </div>
    </div>
</div>
<?php elseif ($mode == 'config_email') :
$tabsmenunested = 'setup';
$tabsmenunestedception = 'welcome';
?>
<div id="zm-config_email"><!-- ajax load wrapper -->
	<!-- EMAIL SETUP -->
	<div id="zm-tabs-container">
		<ul class="zm-tabs-menu-nested">
			<li id="setup" <?php echo ($tabsmenunested == 'setup') ? 'class="zm-tabs-active"' : ''; ?>><?php _e('Email Setup', 'zm'); ?></li>
			<li id="draft" <?php echo ($tabsmenunested == 'draft') ? 'class="zm-tabs-active"' : ''; ?>><?php _e('Email Content', 'zm'); ?></li>
		</ul>
		<span class="zm-tabs-clear"></span>
		<div class="zm-tabs-content-nested setup" <?php echo ($tabsmenunested == 'setup') ? '' : 'style="display:none;"'; ?>>
			<div class="gpf-row collapse">
			    <div class="large-2 gpf-columns">
			      <span class="prefix radius"><?php _e('From Name', 'zm'); ?></span>
			    </div>
			    <div class="large-10 gpf-columns">
			    	<input type="text" name="zm-from-name" id="zm-from-name" value="<?php echo zm_isset($email_setup['from_name'], get_bloginfo('name'), true); ?>" />
			    </div>
		    </div>
		    
		    <div class="gpf-row collapse">
			    <div class="large-2 gpf-columns">
			      <span class="prefix radius"><?php _e('From Email', 'zm'); ?></span>
			    </div>
			    <div class="large-10 gpf-columns">
			    	<input class="email" type="text" name="zm-from-email" id="zm-from-email" value="<?php echo zm_isset($email_setup['from_email'], get_bloginfo('admin_email'), true); ?>" />
			    </div>
		    </div>
		    
		    <div class="gpf-row collapse">
			    <div class="large-2 gpf-columns">
			      <span class="prefix radius">Mailer <?php _e('Program', 'zm'); ?></span>
			    </div>
			    <div class="large-10 gpf-columns">
			    	<select name="zm-mailer" id="zm-mailer">
						<option value="php" <?php echo zm_isset($email_setup['mailer'], 'php', true) == 'php' ? 'selected="selected"' : ''; ?>>Default (PHP Mail -- 99% of the time, you choose this)</option>
						<option value="smtp" <?php echo zm_isset($email_setup['mailer'], 'php', true) == 'smtp' ? 'selected="selected"' : ''; ?>>SMTP (only for ADVANCED users, very rarely used)</option>
		      		</select>
			    </div>
		    </div>
		    
		    <div id="zm-mailer-smtp" <?php echo zm_isset($email_setup['mailer'], 'php', true) == 'smtp' ? '' : 'style="display:none;"'; ?>>
    			<div class="gpf-row collapse">
				    <div class="large-2 gpf-columns">
				      <span class="prefix radius">SMTP Host</span>
				    </div>
				    <div class="large-10 gpf-columns">
				    	<input type="text" name="zm-smtp-host" id="zm-smtp-host" value="<?php echo zm_isset($email_setup['smtp_host']); ?>" />
				    </div>
			    </div>
			    
			    <div class="gpf-row collapse">
				    <div class="large-2 gpf-columns">
				      <span class="prefix radius">SMTP Port</span>
				    </div>
				    <div class="large-4 gpf-columns">
				    	<input class="digits" type="text" name="zm-smtp-port" id="zm-smtp-port" value="<?php echo zm_isset($email_setup['smtp_port']); ?>" />
				    </div>
				    
				    <div class="large-2 gpf-columns">
				      <span class="prefix radius">Encryption</span>

				    </div>
				    <div class="large-4 gpf-columns">
				    	<select name="zm-smtp-enc" id="zm-smtp-enc">
							<option value="no" <?php echo zm_isset($email_setup['encryption'], 'no', true) == 'no' ? 'selected="selected"' : ''; ?>>No Encryption</option>
							<option value="ssl" <?php echo zm_isset($email_setup['encryption'], 'no', true) == 'ssl' ? 'selected="selected"' : ''; ?>>SSL</option>
							<option value="tls" <?php echo zm_isset($email_setup['encryption'], 'no', true) == 'tls' ? 'selected="selected"' : ''; ?>>TLS</option>
			      		</select>
				    </div>
			    </div>
			    <table class="zm-table-switch">
					<tr>
						<td style="width: 90px">
						<div class="gpf-switch" id="zm-is-auth">
						  <input id="zm-is-auth-off" name="zm-is-auth" value="off" type="radio" <?php echo (zm_isset($email_setup['is_auth']) == 'on' ? '' : 'checked') ?>>
						  <label for="zm-is-auth-off" class="zm-switch">No</label>
						  <input id="zm-is-auth-on" name="zm-is-auth" value="on" type="radio" <?php echo (zm_isset($email_setup['is_auth']) == 'on' ? 'checked' : '') ?>>
						  <label for="zm-is-auth-on" class="zm-switch">Yes</label>
						  <span></span>
						</div>
						</td>
						<td>Use SMTP Authentication?</td>
					</tr>
				</table>
				<br>
				<div class="gpf-row collapse" id="zm-is-auth_field" <?php echo (zm_isset($email_setup['is_auth']) == 'on' ? '' : 'style="display:none;"') ?>>
					<div class="large-2 gpf-columns">
				      <span class="prefix radius">SMTP Username</span></span>
				    </div>
				    <div class="large-4 gpf-columns">
				    	<input type="text" name="zm-smtp-username" id="zm-smtp-username" value="<?php echo zm_isset($email_setup['smtp_username']); ?>" />
				    </div>
				    <div class="large-2 gpf-columns">
				      <span class="prefix radius">SMTP Password</span></span>
				    </div>
				    <div class="large-4 gpf-columns">
				    	<input type="password" name="zm-smtp-password" id="zm-smtp-password" value="<?php echo zm_isset($email_setup['smtp_password']); ?>" />
				    </div>
				</div>
			</div>
		</div>
		<div class="zm-tabs-content-nested draft" <?php echo ($tabsmenunested == 'draft') ? '' : 'style="display:none;"'; ?>>
			<div id="zm-tabs-container">
				<ul class="zm-tabs-menu-nestedception">
					<li id="welcome" <?php echo ($tabsmenunestedception == 'welcome') ? 'class="zm-tabs-active"' : ''; ?>><?php _e('Welcome', 'zm'); ?></li>
					<li id="forgot" <?php echo ($tabsmenunestedception == 'forgot') ? 'class="zm-tabs-active"' : ''; ?>><?php _e('Forgot Password', 'zm'); ?></li>
				</ul>
				<span class="zm-tabs-clear"></span>
				<div class="zm-tabs-content-nestedception welcome" <?php echo ($tabsmenunestedception == 'welcome') ? '' : 'style="display:none;"'; ?>>
					<table class="zm-table-switch">
						<tr>
							<td style="width: 90px">
							<div class="gpf-switch" id="zm-wemail-admin">
							  <input id="zm-wemail-admin-off" name="zm-wemail-admin" value="off" type="radio" <?php echo (zm_isset($email_setup['welcome_email']['send_admin']) == 'on' ? '' : 'checked') ?>>
							  <label for="zm-wemail-admin-off" class="zm-switch">No</label>
							  <input id="zm-wemail-admin-on" name="zm-wemail-admin" value="on" type="radio" <?php echo (zm_isset($email_setup['welcome_email']['send_admin']) == 'on' ? 'checked' : '') ?>>
							  <label for="zm-wemail-admin-on" class="zm-switch">Yes</label>
							  <span></span>
							</div>
							</td>
							<td>Also notify me</td>
						</tr>
					</table>
					<br />
					<div class="gpf-row collapse">
						<div class="large-1 gpf-columns">
					      <span class="prefix radius">Subject</span>
					    </div>
					    <div class="large-11 gpf-columns">
					    	<input type="text" name="zm-wemail-subject" id="zm-wemail-subject" value="<?php echo zm_sanitize($email_setup['welcome_email']['subject']); ?>" />
					    </div>
				    </div>
				    <div class="gpf-row collapse">
						<div class="large-1 gpf-columns">
					      <span class="prefix radius">Body</span>
					    </div>
					    <div class="large-11 gpf-columns">
					    	<textarea name="zm-wemail-body" id="zm-wemail-body" style="min-height:400px"><?php echo zm_sanitize($email_setup['welcome_email']['body']); ?></textarea>
					    </div>
				    </div>
				    <div class="gpf-row collapse">
						<div class="large-1 gpf-columns">
					    </div>
					    <div class="large-11 gpf-columns">
					    	<fieldset>
					    		<legend>You can add these merge tags below</legend>
					    		<div class="zm-macro-box">
					    			<p>
					    				<code>[%username%]</code> - Member's username<br />
                        				<code>[%password%]</code> - Member's password<br />
                        				<code>[%first_name%]</code> - Member's first name<br />
										<code>[%last_name%]</code> - Member's last name<br />
										<code>[%email_addr%]</code> - Member's email address<br />
										<code>[%download%]</code> - Purchased product download URL<br />
                        				<code>[%members_home%]</code> - After Login/Welcome page URL (can be used in email body only)<br />
                    				</p>
								</div>
					    	</fieldset>
					    </div>
				    </div>
				</div>
				<!-- FORGOT EMAIL-->
				<div class="zm-tabs-content-nestedception forgot" <?php echo ($tabsmenunestedception == 'forgot') ? '' : 'style="display:none;"'; ?>>
					<br>
					<div id="zm-semail-enable_field">
						<div class="gpf-row collapse">
							<div class="large-1 gpf-columns">
						      <span class="prefix radius">Subject</span>
						    </div>
						    <div class="large-11 gpf-columns">
						    	<input type="text" name="zm-femail-subject" id="zm-femail-subject" value="<?php echo zm_sanitize($email_setup['forgot_email']['subject']); ?>" />
						    </div>
					    </div>
					    <div class="gpf-row collapse">
							<div class="large-1 gpf-columns">
						      <span class="prefix radius">Body</span>
						    </div>
						    <div class="large-11 gpf-columns">
						    	<textarea name="zm-femail-body" id="zm-femail-body" style="min-height:400px"><?php echo zm_sanitize($email_setup['forgot_email']['body']); ?></textarea>
						    </div>
					    </div>
					    <div class="gpf-row collapse">
							<div class="large-1 gpf-columns">
						    </div>
						    <div class="large-11 gpf-columns">
						    	<fieldset>
						    		<legend>You can add these merge tags below</legend>
						    		<div class="zm-macro-box">
						    			<p>
	                        				<code>[%username%]</code> - Member's username<br />
	                        				<code>[%generate_password_url%]</code> - URL to generate new password<br />
                        				</p>
									</div>
						    	</fieldset>
						    </div>
					    </div>
					</div>
				</div>
			</div>
		</div>
	</div>
	<div class="gpf-row collapse">
	    <div class="large-12 gpf-columns">
	    	<span data-url="<?php echo admin_url('admin.php?page=zm-admin'); ?>&mode=config_payment" data-mode="config_payment" data-title="Zaxaa API Signature &lsaquo; <?php echo $site_name; ?>" class="radius gpf-button zm-wizard-nav gpf-left"><i class="icon-double-angle-left"></i> Back</span>
	    	<span data-url="<?php echo admin_url('admin.php?page=zm-admin&welcome=true'); ?>" class="radius gpf-button zm-wizard-finish gpf-right">Finish <i class="icon-double-angle-right"></i></span>
	    </div>
    </div>
</div>
<?php endif; ?>