<?php
$dirs   = explode("\\", dirname(__FILE__));
$slash  = '\\';

if ( count($dirs) <= 1 ) {
	$dirs   = explode("/", dirname(__FILE__));
	$slash  = '/';
}

$pos    = array_search('wp-content', $dirs);
$wppath = '';

for ( $i=0; $i<$pos;$i++ ) {
	$wppath .= $dirs[$i] . $slash;
}

if ( file_exists($wppath . 'wp-blog-header.php') ) {
	require_once($wppath . 'wp-blog-header.php');
} else {
	require_once('../../../../../../../../wp-blog-header.php');
}

global $wpdb;
?>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Insert Zaxaa Member Shortcode</title>
<script type="text/javascript" src="<?php echo site_url('wp-includes/js/tinymce/tiny_mce_popup.js?ver='.zm_time()); ?>"></script>
<script type="text/javascript" src="//ajax.googleapis.com/ajax/libs/jquery/1.9.0/jquery.min.js"></script>
<script type="text/javascript">
function show_options($) {
	var the_code = $("#short_codes").val();
	$('.codebox').hide();
	$('#' + the_code).show();
}

function show_video_options($) {
	var the_code = $("#video_types").val();
	if (the_code == 'embed'){
		$('#hosted').hide();
		$('#embed').show();
	}else{
		$('#embed').hide();
		$('#hosted').show();
	}
}

function create_url_box(){
	var f =  document.forms[0];
	var ids = '';
	var table = '<tr><td style="width: 40%;"><b>Upgrade URL for:</b></td><td></td></tr>';
	for (x=0; x<f.sem_uproduct_ids.options.length; x++){
   		if(f.sem_uproduct_ids.options[x].selected){
       		ids += ids ? ','+f.sem_uproduct_ids.options[x].value : f.sem_uproduct_ids.options[x].value;
       		var additional = f.sem_uproduct_ids.options[x].innerHTML.length > 15 ? '...' : '';
       		table += '<tr><td>'+f.sem_uproduct_ids.options[x].innerHTML.substr(0, 15)+''+additional+'</td><td><input type="text" name="zm_url_'+f.sem_uproduct_ids.options[x].value+'" id="zm_url_'+f.sem_uproduct_ids.options[x].value+'" value="http://" style="width:100%"/></td></tr>';
        }
    }
    document.getElementById('zm_table_upgrade').innerHTML = table;
    f.zm_uinclude.value = ids;
}

tinyMCEPopup.requireLangPack();
var gpfshortcodeboxDialog = {
	init: function() {
		tinyMCEPopup.resizeToInnerSize();
	},

	insert: function() {
		var ed   = tinyMCEPopup.editor, f = document.forms[0];
		var s_code = f.short_codes.options[f.short_codes.options.selectedIndex].value;
		var close = true;
		var c = '';
		switch (s_code) {

			case 'zm_video':
				var type = f.video_types.value;

				if (type == 'embed'){
					ed.execCommand('mceInsertRawHTML', false, f.sem_video_code.value);
				}else if (type == 'selfhosted'){
					c += '[zm_hosted_video ';
					c += 'mp4="'+ f.sem_video_mp4.value +'" ';
					c += 'webm="'+ f.sem_video_webm.value +'" ';
					c += 'ogg="'+ f.sem_video_ogg.value +'" ';
					c += ']';

					ed.execCommand('mceInsertContent', false, c);
				}else if (type == 's3'){
					c += '[zm_s3_video ';
					c += 'mp4="'+ f.sem_video_mp4.value +'" ';
					c += 'webm="'+ f.sem_video_webm.value +'" ';
					c += 'ogg="'+ f.sem_video_ogg.value +'" ';
					c += ']';

					ed.execCommand('mceInsertContent', false, c);
				}
			break;
			case 'zm_protect':

				var product_ids = '';
				var i =0;
				for (x=0; x<f.sem_product_ids.options.length; x++){
		       		if(f.sem_product_ids.options[x].selected){
			       		if (i > 0) product_ids += ', ';
		       			product_ids += f.sem_product_ids.options[x].value;
		       			i++;
		            }
		        }

		        var uplink = f.sem_uplink.value;

				c += '[zm_protect ';
				if (product_ids != '') c += 'id="'+product_ids+'"';
				//if (except_ids != '') c += ' except="'+except_ids+'"';
				if (uplink != '') c += ' uplink="'+uplink+'"';
				c += ']';
				c += tinyMCE.activeEditor.selection.getContent();
				c += '[/zm_protect]';
				ed.execCommand('mceInsertContent', false, c);
				break;

			case 'zm_login_form':
				c += '['+s_code+' ';
				c += 'box="'+ (f.sem_login_form_box.checked ? 'true' : 'false') +'" ';
				c += 'template="'+ f.sem_login_form_style.value +'" ';
				c += 'recaptcha="'+ f.sem_login_reacaptcha.value +'"';
				c += ']';
				ed.execCommand('mceInsertContent', false, c);
				break;

			case 'zm_upgrade':
				var includeids = f.zm_uinclude.value;

				if (includeids == ''){
					alert('Please click "Add link" button and add the URL for each product before inserting the shortcode.');
					close = false;
				}else{
					var urls = includeids.split(',');
					var uurl = '';
					for(x=0; x<urls.length; x++){
						uurl += uurl ? ','+document.getElementById('zm_url_'+urls[x]).value : document.getElementById('zm_url_'+urls[x]).value;
					}
					c += '[zm_upgrade ';
					c += 'id="'+includeids+'" ';
					c += 'url="'+uurl+'"]';
					c += tinyMCE.activeEditor.selection.getContent();
					c += '[/zm_upgrade]';
					ed.execCommand('mceInsertContent', false, c);
				}

				break;

			case 'zm_order':
				c += '['+s_code+' ';
				c += 'id="'+ f.sem_order_id.value +'" ';
				c += 'button="'+ f.sem_order_button.value +'"';
				c += ']';
				ed.execCommand('mceInsertContent', false, c);
				break;

			default:
				c += '['+s_code+']';
				ed.execCommand('mceInsertContent', false, c);
			break
		}

		if (close) tinyMCEPopup.close();
	}
};

tinyMCEPopup.onInit.add(gpfshortcodeboxDialog.init, gpfshortcodeboxDialog);

</script>
<style>
#frmbody label {
    font-size:10px !important;
}
.mceActionPanel {
    margin-bottom: 20px !important;
}
</style>
</head>

<body id="gpfshortcodebox" style="display: none">
	<form onSubmit="gpfshortcodeboxDialog.insert(); return false;">
		<div id="frmbody">
			<fieldset>
			<legend>Shortcodes</legend>
				<table border="0" cellpadding="4" cellspacing="0" width="100%">
				<tr>
					<td><label for="short_codes">Add Shortcode</label></td>
					<td>
					<select name="short_codes" id="short_codes" style="width:100%" onChange="show_options(jQuery)">
						<optgroup label="Shortcode">
							<option value="zm_profile_page">Profile Page</option>
							<option value="zm_video">Video</option>
							<option value="zm_login_form">Login Form</option>
							<option value="zm_protect">Protect Content</option>
							<option value="zm_history">Purchase History</option>
							<option value="zm_upgrade">Upgrade Product/Level Link</option>
							<option value="zm_purchased_products_links">Purchased Products Links</option>
						</optgroup>
					</select>
					</td>
				</tr>
				</table>

			</fieldset>

			<div id="zm_video" class="codebox" style="margin-top:10px; display:none">
				<fieldset>
					<legend>Settings</legend>
					<table border="0" cellpadding="4" cellspacing="0" width="100%">
					<tr>
						<td>
							<select name="video_types" id="video_types" style="width:100%" onChange="show_video_options(jQuery)">
									<option value="embed">Embed Code YouTube/Vimeo/etc</option>
									<option value="selfhosted">Self Hosted Video</option>
									<option value="s3">Amazon S3 Video</option>
							</select>
						</td>
					</tr>
					</table>
					<table id="embed" border="0" cellpadding="4" cellspacing="0" width="100%">
						<tr>
							<td><textarea name="sem_video_code" id="sem_video_code" cols="85" rows="6" style="width:100%"/></textarea></td>
						</tr>
					</table>
					<table id="hosted" style="display:none" border="0" cellpadding="4" cellspacing="0" width="100%">
						<tr><td colspan="2">Flowplayer is designed in such a way that it will adjust itself to various screen sizes.</td></tr>
						<tr>
							<td><label for="sem_video_mp4">MP4 Video URL</label></td>
							<td><input type="text" name="sem_video_mp4" id="sem_video_mp4" value="http://" style="width:100%"/></td>
						</tr>
						<tr>
							<td><label for="sem_video_webm">WebM Video URL</label></td>
							<td><input type="text" name="sem_video_webm" id="sem_video_webm" value="http://" style="width:100%"/></td>
						</tr>
						<tr>
							<td><label for="sem_video_ogg">Ogg Video URL</label></td>
							<td><input type="text" name="sem_video_ogg" id="sem_video_ogg" value="http://" style="width:100%"/></td>
						</tr>
					</table>
				</fieldset>
			</div>

			<div id="zm_order" class="codebox" style="margin-top:10px; display:none">
			<fieldset>
				<legend>Settings</legend>
				<table border="0" cellpadding="4" cellspacing="0" width="100%">
				<tr>
					<td><label for="sem_order_id">Product</label></td>
					<td>
						<select name="sem_order_id" id="sem_order_id" style="width:100%">
							<option value="">[select product]</option>
							<?php
							$products = $wpdb->get_results("SELECT T1.*, T2.title FROM {$wpdb->prefix}zm_coupons AS T1
									LEFT JOIN `{$wpdb->prefix}zm_products` AS T2 ON T1.product_id=T2.ID
									GROUP BY T1.product_id");

							if ($products){
								foreach ($products as $product){
									echo '<option value="'.$product->product_id.'">'.$product->title.'</option>';
								}
							}
							?>
						</select>
					</td>
				</tr>
				<tr>
					<td><label for="sem_order_button">Button Text</label></td>
					<td><input type="text" name="sem_order_button" id="sem_order_button" value="Add to Cart" style="width:100%"/></td>
				</tr>
				</table>
			</fieldset>
			</div>

			<div id="zm_login_form" class="codebox" style="margin-top:10px; display:none">
			<fieldset>
				<legend>Settings</legend>
				<table border="0" cellpadding="4" cellspacing="0" width="100%">
				<tr>
					<td><label for="sem_login_form_box">Display in box</label></td>
					<td><input type="checkbox" name="sem_login_form_box" id="sem_login_form_box" value="1" /></td>
				</tr>
				<tr>
					<td><label for="sem_login_form_style">Template</label></td>
					<td>
						<select name="sem_login_form_style" id="sem_login_form_style" style="width:100%">
							<option value="simple">Simple</option>
							<option value="dark">Dark</option>
						</select>
					</td>
				</tr>
				<tr>
					<td><label for="sem_login_reacaptcha">Use Recaptcha?</label></td>
					<td>
						<select name="sem_login_reacaptcha" id="sem_login_reacaptcha" style="width:100%">
							<option value="yes">Yes</option>
							<option value="no">No</option>
						</select>
					</td>
				</tr>
				</table>
			</fieldset>
			</div>

			<div id="zm_protect" class="codebox" style="margin-top:10px; display:none">
				<fieldset>
					<legend>Settings</legend>
					<table border="0" cellpadding="4" cellspacing="0" width="100%">
					<tr>
						<td><label for="sem_product_ids">Products</label></td>
						<td>
							<select name="sem_product_ids" id="sem_product_ids" multiple="multiple" style="height:100px; width:100%">
								<?php
								$products = $wpdb->get_results("SELECT * FROM {$wpdb->prefix}zm_products");

								if ($products){
									foreach ($products as $product){
										echo '<option value="'.$product->ID.'">'.$product->title.'</option>';
									}
								}
								?>
							</select>
						</td>
					</tr>
					<!--<tr>
						<td><label for="sem_except_ids">Except Products</label></td>
						<td>
							<select name="sem_except_ids" id="sem_except_ids" multiple="multiple">
								<option value="">[select product]</option>
								<?php
								//if ($products){
								//	foreach ($products as $product){
								//		echo '<option value="'.$product->ID.'">'.$product->title.'</option>';
								//	}
								//}
								?>
							</select>
						</td>
					</tr>-->
					<tr>
						<td><label for="sem_uplink" title="Please enter your upgrade link here">Upgrade Link <span title="Members with insufficient access to the protected content will be presented with an &quot;upgrade membership level/product&quot; link. Enter this upgrade link here.">(?)</span></label></td>
						<td><input type="text" name="sem_uplink" id="sem_uplink" value="http://" style="width: 100%;"/></td>
					</tr>
					</table>
				</fieldset>
			</div>
			<div id="zm_upgrade" class="codebox" style="margin-top:10px; display:none">
				<fieldset>
					<legend>Settings</legend>
					<p>Please <a href="http://www.zaxaablog.com/tutorial/zaxaa-member/automatically-present-upgrade-productlevel-link/" target="_blank">click here</a> to view the tutorial.</p>
					<table border="0" cellpadding="4" cellspacing="0" width="100%">
					<tr>
						<td valign="top"><label for="sem_uproduct_ids">Products</label></td>
						<td>
							<select name="sem_uproduct_ids" id="sem_uproduct_ids" multiple="multiple" style="height:100px; width:100%">
								<?php
								if ($products){
									foreach ($products as $product){
										echo '<option value="'.$product->ID.'">'.$product->title.'</option>';
									}
								}
								?>
							</select>
						</td>
					</tr>
					<tr>
						<td><input type="hidden" value="" id="zm_uinclude"/></td>
						<td><input type="button" id="insert" class="zm_add_link" name="zm_add_link" value="add link" onClick="create_url_box(jQuery)"/></td>
					</tr>
					</table>
					<table border="0" cellpadding="4" cellspacing="0" width="100%" id="zm_table_upgrade">
					</table>
				</fieldset>
			</div>
			<div id="zm_purchased_products_links" class="codebox" style="margin-top:10px; display:none">
				<fieldset>
					<legend>Info</legend>
					<p>This will display all product access links that the customer has purchased.</p>
				</fieldset>
			</div>
		</div>
		<div class="mceActionPanel">
		<input type="submit" id="insert" name="insert" value="{#insert}" />
		<input type="button" id="cancel" name="cancel" value="{#cancel}" onClick="tinyMCEPopup.close();" />
		</div>
	</form>
</body>
</html>
