<?php
$tabsmenu = zm_isset($_COOKIE['zm_tabs_menu'], 'general');
$tabsmenunested = zm_isset($_COOKIE['zm_tabs_menu_nested'], 'setup');
$tabsmenunestedception = zm_isset($_COOKIE['zm_tabs_menu_nestedception'], 'welcome');

$idmenu = array('general', 'payment', 'email', 'autoresponder', 's3', 'autolock', 'creator', 'exim');
$idnested = array('setup', 'draft');
$idception = array('welcome', 'receipt', 'subscription', 'forgot', 'confirmation');

$tabsmenu = in_array($tabsmenu, $idmenu) ? $tabsmenu : 'general';
$tabsmenunested = in_array($tabsmenunested, $idnested) ? $tabsmenunested : 'setup';
$tabsmenunestedception = in_array($tabsmenunestedception, $idception) ? $tabsmenunestedception : 'welcome';

$email_setup = get_option('zm_email_setup');

if (!isset($email_setup['receipt_email']['enable'])){
	$email_setup['receipt_email']['enable'] = 'on';
}

$general = get_option('zm_general_option');
$payment = get_option('zm_payment_option');
$autoresponder = get_option('zm_autoresponder_option');
//die(var_dump($email_setup));

$token = get_option('zm_aweber_token');
$token_ic = get_option('zm_icontact_token');
$token_gtw = get_option('zm_gtw_token');
$key_gtw = get_option('zm_gtw_key');

$nonce = wp_create_nonce('_zmnonce');
//die($key_gtw);

if ( zm_isset($general['gtw_key']) ) {
	if (!zm_isset($token_gtw)) {
		$gtw_url = zm_gtw_get_login_url();
		echo '<div class="alert-box alert" style="margin:10px 0"><p><b>Important!</b> Connect your GoToWebinar account with Zaxaa Member <a href="' . $gtw_url . '"><span class="gpf-label secondary round">here</span></a></p></div>';
	}
}

if (zm_isset($autoresponder['aw_key']) && zm_isset($autoresponder['aw_secret'])) {
	if (!zm_isset($token)) {
		echo '<div class="alert-box alert" style="margin:10px 0"><p><b>Important!</b> Connect your Aweber account with Zaxaa Member <a href="' . admin_url('admin.php?page=zm-admin&mode=config&connect=aweber') . '"><span class="gpf-label secondary round">here</span></a></p></div>';
	}
}

if (zm_isset($autoresponder['ic_key']) && zm_isset($autoresponder['ic_user']) && zm_isset($autoresponder['ic_pass'])) {
	if (!zm_isset($token_ic)) {
		echo '<div class="alert-box alert" style="margin:10px 0"><p><b>Important!</b> Connect your iContact account with Zaxaa Member <a href="' . admin_url('admin.php?page=zm-admin&mode=config&connect=icontact') . '"><span class="gpf-label secondary round">here</span></a></p></div>';
	}
}

do_action('zm_message');
?>
<div id="zm-config"><!-- ajax load wrapper -->
<div class="zm-biglabel"><i class="icon-gears"></i> Configuration</div>
<form id="zm-config-form" class="custom zm-required" method="post" enctype="multipart/form-data">
<div id="zm-tabs-container">
	<ul class="zm-tabs-menu">
		<li id="general" <?php echo ($tabsmenu == 'general') ? 'class="zm-tabs-active"' : ''; ?>><?php _e('General', 'zm'); ?></li>
		<li id="payment" <?php echo ($tabsmenu == 'payment') ? 'class="zm-tabs-active"' : ''; ?>><?php _e('Zaxaa Account', 'zm'); ?></li>
		<li id="email" <?php echo ($tabsmenu == 'email') ? 'class="zm-tabs-active"' : ''; ?>><?php _e('Email', 'zm'); ?></li>
		<li id="s3" <?php echo ($tabsmenu == 's3') ? 'class="zm-tabs-active"' : ''; ?>>Amazon S3</li>
		<li id="autolock" <?php echo ($tabsmenu == 'autolock') ? 'class="zm-tabs-active"' : ''; ?>>Auto Lock Members</li>
		<li id="creator" <?php echo ($tabsmenu == 'creator') ? 'class="zm-tabs-active"' : ''; ?>>Page Creator</li>
		<li id="exim" <?php echo ($tabsmenu == 'exim') ? 'class="zm-tabs-active"' : ''; ?>>Export/Import</li>
	</ul>
	<span class="zm-tabs-clear"></span>
	<div class="zm-tabs-content general" <?php echo ($tabsmenu == 'general') ? '' : 'style="display:none;"'; ?>>
		<br>
		<table class="zm-table-switch">
			<tr>
				<td style="width: 90px">
				<div class="gpf-switch" id="zm-is-powered">
				  <input id="zm-is-powered-off" name="zm-is-powered" value="off" type="radio" <?php echo (zm_isset($general['is_powered']) == 'on' ? '' : 'checked') ?>>
				  <label for="zm-is-powered-off" class="zm-switch">No</label>
				  <input id="zm-is-powered-on" name="zm-is-powered" value="on" type="radio" <?php echo (zm_isset($general['is_powered']) == 'on' ? 'checked' : '') ?>>
				  <label for="zm-is-powered-on" class="zm-switch">Yes</label>
				  <span></span>
				</div>
				</td>
				<td><p>Enable "Powered By" text link? You can join Zaxaa referral program by <a href="<?php zaxaa_referral_url('https://www.zaxaa.com/user/referral_commission'); ?>" target="_blank"><span class="gpf-label round">clicking here</span></a></p></td>
			</tr>
		</table>
		<div class="gpf-row collapse" id="zm-is-powered_field" <?php echo (zm_isset($general['is_powered']) == 'on' ? '' : 'style="display:none;"') ?>>
		    <br>
		    <div class="large-2 gpf-columns">
		      <span class="prefix radius"><?php _e('Referral Link', 'zm'); ?><span data-tooltip class="zm-help tip-top" title="Insert your Zaxaa referral link here. When people click your affiliate link and they buy, you get commissions."></span></span>
		    </div>
		    <div class="large-10 gpf-columns">
		    	<input class="url" type="text" name="zm-aff-link" id="zm-aff-link" value="<?php echo zm_isset($general['aff_link']); ?>" />
		    </div>
		</div>
		<br>
		<div class="section-container">
			<section>
				<p class="title zm-accordion-title"><a href="#">Membership Pages Setup</a></p>
				<div class="zm-accordion-content">
			    	<div class="gpf-row collapse">
					    <div class="large-3 gpf-columns">
					      <span class="prefix radius">Login Page</span>
					    </div>
					    <div class="large-6 gpf-columns">
					    	<select name="zm-login-page" id="zm-login-page">
								<?php echo zm_get_pages('[ -- Select a page -- ]', zm_isset($general['login_page'])); ?>
				      		</select>
					    </div>
					    <div class="large-2 gpf-columns"><span data-id="zm-login-page" class="gpf-button prefix zm-get-url"><i class="icon-link"></i> Get URL</span></div>
					    <div class="large-1 gpf-columns"><span for="zm-login-page" data-url="<?php echo admin_url('post.php?post='); ?>" class="gpf-button radius postfix zm-edit-page"><i class="icon-pencil"></i> Edit</span></div>
				    </div>
				    
				    <div class="gpf-row collapse">
					    <div class="large-3 gpf-columns">
					      <span class="prefix radius">After Login / Welcome Page<span data-tooltip class="zm-help tip-top" title="Where do you want to redirect members right after they're logged in (e.g. membership home or dashboard)?"></span></span>
					    </div>
					    <div class="large-6 gpf-columns">
					    	<select name="zm-after-login-page" id="zm-after-login-page">
					    		<?php echo zm_get_pages('[ -- Select a page -- ]', zm_isset($general['after_login_page'])); ?>
				      		</select>
					    </div>
					    <div class="large-2 gpf-columns"><span data-id="zm-after-login-page" class="gpf-button prefix zm-get-url"><i class="icon-link"></i> Get URL</span></div>
					    <div class="large-1 gpf-columns"><span for="zm-after-login-page" data-url="<?php echo admin_url('post.php?post='); ?>" class="gpf-button radius postfix zm-edit-page"><i class="icon-pencil"></i> Edit</span></div>
				    </div>
				    
				    <div class="gpf-row collapse">
					    <div class="large-3 gpf-columns">
					      <span class="prefix radius">Members Profile Page<span data-tooltip class="zm-help tip-top" title="Your members profile page."></span></span>
					    </div>
					    <div class="large-6 gpf-columns">
					    	<select name="zm-profile-page" id="zm-profile-page">
								<?php echo zm_get_pages('[ -- Select a page -- ]', zm_isset($general['profile_page'])); ?>
				      		</select>
					    </div>
					    <div class="large-2 gpf-columns"><span data-id="zm-profile-page" class="gpf-button prefix zm-get-url"><i class="icon-link"></i> Get URL</span></div>
					    <div class="large-1 gpf-columns"><span for="zm-profile-page" data-url="<?php echo admin_url('post.php?post='); ?>" class="gpf-button radius postfix zm-edit-page"><i class="icon-pencil"></i> Edit</span></div>
				    </div>
				    
				    <div class="gpf-row collapse">
					    <div class="large-3 gpf-columns">
					      <span class="prefix radius">Insufficient Access Page<span data-tooltip class="zm-help tip-top" title="Where do you want to redirect members if they have insufficient access to certain products/levels?"></span></span>
					    </div>
					    <div class="large-8 gpf-columns">
					    	<select name="zm-access-error-page" id="zm-access-error-page">
					    		<?php echo zm_get_pages('[ -- Select a page -- ]', zm_isset($general['access_error_page'])); ?>
				      		</select>
					    </div>
				    	<div class="large-1 gpf-columns"><span for="zm-access-error-page" data-url="<?php echo admin_url('post.php?post='); ?>" class="gpf-button radius postfix zm-edit-page"><i class="icon-pencil"></i> Edit</span></div>
				    </div>
				    
				    <div class="gpf-row collapse">
					    <div class="large-3 gpf-columns">
					      <span class="prefix radius">Not Yet Available Page<span data-tooltip class="zm-help tip-top" title="Where do you want to redirect members if the content they're trying to access is not yet available?"></span></span>
					    </div>
					    <div class="large-8 gpf-columns">
					    	<select name="zm-unavailable-page" id="zm-unavailable-page">
								<?php echo zm_get_pages('[ -- Select a page -- ]', zm_isset($general['unavailable_page'])); ?>
				      		</select>
					    </div>
					    <div class="large-1 gpf-columns"><span for="zm-unavailable-page" data-url="<?php echo admin_url('post.php?post='); ?>" class="gpf-button radius postfix zm-edit-page"><i class="icon-pencil"></i> Edit</span></div>
				    </div>
				    
				    <div class="gpf-row collapse">
					    <div class="large-3 gpf-columns">
					      <span class="prefix radius">Content Expired Page<span data-tooltip class="zm-help tip-top" title="Where do you want to redirect members if the content they're trying to access is expired?"></span></span>
					    </div>
					    <div class="large-8 gpf-columns">
					    	<select name="zm-expired-page" id="zm-expired-page">
					    		<?php echo zm_get_pages('[ -- Select a page -- ]', zm_isset($general['expired_page'])); ?>
				      		</select>
					    </div>
					    <div class="large-1 gpf-columns"><span for="zm-expired-page" data-url="<?php echo admin_url('post.php?post='); ?>" class="gpf-button radius postfix zm-edit-page"><i class="icon-pencil"></i> Edit</span></div>
				    </div>
				    
				    <div class="gpf-row collapse">
					    <div class="large-3 gpf-columns">
					      <span class="prefix radius">Logout URL</span>
					    </div>
					    <div class="large-9 gpf-columns">
					    	<input type="text" name="zm-logout-url" id="zm-logout-url" value="<?php echo zm_logout_url(); ?>" readonly="readonly" onclick="this.focus();this.select()"/>
					    </div>
				    </div>
				    
				    <div class="gpf-row collapse">
					    <div class="large-3 gpf-columns">
					      <span class="prefix radius">After Logout URL<span data-tooltip class="zm-help tip-top" title="You can redirect members to any URL after they have logged out (optional)."></span></span>
					    </div>
					    <div class="large-9 gpf-columns">
					    	<input type="text" name="zm-logout-page" id="zm-logout-page" value="<?php echo zm_isset($general['logout_page'])?>" placeholder="http://"/>
					    </div>
				    </div>
				</div>
				<div id="zm-welcome-url-box" style="display: none">
					<input type="text" value="" id="zm-welcome-url" onclick="this.focus();this.select()" readonly="readonly" style="font-family:courier; margin-bottom: 0px !important;">
				</div>
			</section>
			<section>
				<p class="title zm-accordion-title" ><a href="#">reCAPTCHA&#8482;<span data-tooltip class="zm-help tip-top" title="reCAPTCHA helps prevent automated abuse of your login page by using a CAPTCHA to ensure only human actions."></span></a></p>
				<div class="zm-accordion-content">
			   		<p>You can create a new set of keys <a href="https://www.google.com/recaptcha/admin/create" target="_blank"><span class="gpf-label round">here</span></a></p>
					<table class="zm-table-switch">
						<tr>
							<td style="width: 90px">
							<div class="gpf-switch" id="zm-rc-enable">
							  <input id="zm-rc-enable-off" name="zm-rc-enable" value="off" type="radio" <?php echo (zm_isset($general['rc_enable']) == 'on' ? '' : 'checked') ?>>
							  <label for="zm-rc-enable-off" class="zm-switch">No</label>
							  <input id="zm-rc-enable-on" name="zm-rc-enable" value="on" type="radio" <?php echo (zm_isset($general['rc_enable']) == 'on' ? 'checked' : '') ?>>
							  <label for="zm-rc-enable-on" class="zm-switch">Yes</label>
							  <span></span>
							</div>
							</td>
							<td><p>Enable reCAPTCHA&#8482;</p></td>
						</tr>
					</table>
					<div class="gpf-row collapse" id="zm-rc-enable_field" <?php echo (zm_isset($general['rc_enable']) == 'on' ? '' : 'style="display:none;"') ?>>
					    <div class="large-2 gpf-columns">
					      <span class="prefix radius">Public Key</span>
					    </div>
					    <div class="large-10 gpf-columns">
					    	<input type="text" name="zm-rc-public-key" id="zm-rc-public-key" value="<?php echo zm_isset($general['rc_public_key']); ?>" />
					    </div>
					    <div class="large-2 gpf-columns">
					      <span class="prefix radius">Private Key</span>
					    </div>
					    <div class="large-10 gpf-columns">
					    	<input type="text" name="zm-rc-private-key" id="zm-rc-private-key" value="<?php echo zm_isset($general['rc_private_key']); ?>" />
					    </div>
				    </div>
				</div>
			</section>
			<section>
				<p class="title zm-accordion-title" ><a href="#">Magical Content <span data-tooltip class="zm-help tip-top" title="If you enable this, it means you want to:<br>Hide NOT YET Available content and INSUFFICIENT Access content<br><br>E.g. Hide Not Yet Available content<br>If John is currently on week 1, not only can he not access week 2 content, but the text to click on week 2 content will also not be available because it's hidden.<br><br>E.g. Hide Insufficient Access content<br>
If John is on Silver level, not only can he not access Gold level, but the text to click on Gold level will also not be available because it's hidden."></span></a></p>
				<div class="zm-accordion-content">
					<table class="zm-table-switch">
						<tr>
							<td style="width: 90px">
							<div class="gpf-switch" id="zm-is-hideunavailable">
							  <input id="zm-is-hideunavailable-off" name="zm-is-hideunavailable" value="off" type="radio" <?php echo (zm_isset($general['is_hideunavailable']) == 'on' ? '' : 'checked') ?>>
							  <label for="zm-is-hideunavailable-off" class="zm-switch">No</label>
							  <input id="zm-is-hideunavailable-on" name="zm-is-hideunavailable" value="on" type="radio" <?php echo (zm_isset($general['is_hideunavailable']) == 'on' ? 'checked' : '') ?>>
							  <label for="zm-is-hideunavailable-on" class="zm-switch">Yes</label>
							  <span></span>
							</div>
							</td>
							<td><p>Enable Magical Content</p></td>
						</tr>
					</table>
				</div>
			</section>
			
			<section>
				<p class="title zm-accordion-title" ><a href="#">Raw HTML Login Form <span data-tooltip class="zm-help tip-top" title="Use this if you want to embed your login form on an external page or if you want to design/style the form to your own liking (advanced users only)."></span></a></p>
				<div class="zm-accordion-content">
					<textarea name="zm-raw-login" id="zm-raw-login" readonly="readonly" onclick="this.focus();this.select()"><?php echo zm_get_raw_login_form(); ?></textarea>
				</div>
			</section>
		</div>
	</div>
	
	<div class="zm-tabs-content payment" <?php echo ($tabsmenu == 'payment') ? '' : 'style="display:none;"'; ?>>
		<div class="section-container">
		<?php zm_get_payment_config($payment); ?>
		</div>
	</div>
	
	<div class="zm-tabs-content email" <?php echo ($tabsmenu == 'email') ? '' : 'style="display:none;"'; ?>>
		<!-- EMAIL SETUP -->
		<div id="zm-tabs-container">
			<div class="gpf-row collapse">
			    <div class="large-2 gpf-columns">
			      <span class="prefix radius"><?php _e('From Name', 'zm'); ?></span>
			    </div>
			    <div class="large-10 gpf-columns">
			    	<input type="text" name="zm-from-name" id="zm-from-name" value="<?php echo zm_isset($email_setup['from_name'], get_bloginfo('name'), true); ?>" />
			    </div>
		    </div>
		    
		    <div class="gpf-row collapse">
			    <div class="large-2 gpf-columns">
			      <span class="prefix radius"><?php _e('From Email', 'zm'); ?></span>
			    </div>
			    <div class="large-10 gpf-columns">
			    	<input class="email" type="text" name="zm-from-email" id="zm-from-email" value="<?php echo zm_isset($email_setup['from_email'], get_bloginfo('admin_email'), true); ?>" />
			    </div>
		    </div>
		    
		    <div class="gpf-row collapse">
			    <div class="large-2 gpf-columns">
			      <span class="prefix radius">Mailer <?php _e('Program', 'zm'); ?></span>
			    </div>
			    <div class="large-10 gpf-columns">
			    	<select name="zm-mailer" id="zm-mailer">
						<option value="php" <?php echo zm_isset($email_setup['mailer'], 'php', true) == 'php' ? 'selected="selected"' : ''; ?>>Default (PHP Mail -- 99% of the time, you choose this)</option>
						<option value="smtp" <?php echo zm_isset($email_setup['mailer'], 'php', true) == 'smtp' ? 'selected="selected"' : ''; ?>>SMTP (only for ADVANCED users, very rarely used)</option>
		      		</select>
			    </div>
		    </div>
		    
		    <div id="zm-mailer-smtp" <?php echo zm_isset($email_setup['mailer'], 'php', true) == 'smtp' ? '' : 'style="display:none;"'; ?>>
    			<div class="gpf-row collapse">
				    <div class="large-2 gpf-columns">
				      <span class="prefix radius">SMTP Host</span>
				    </div>
				    <div class="large-10 gpf-columns">
				    	<input type="text" name="zm-smtp-host" id="zm-smtp-host" value="<?php echo zm_isset($email_setup['smtp_host']); ?>" />
				    </div>
			    </div>
			    
			    <div class="gpf-row collapse">
				    <div class="large-2 gpf-columns">
				      <span class="prefix radius">SMTP Port</span>
				    </div>
				    <div class="large-4 gpf-columns">
				    	<input class="digits" type="text" name="zm-smtp-port" id="zm-smtp-port" value="<?php echo zm_isset($email_setup['smtp_port']); ?>" />
				    </div>
				    
				    <div class="large-2 gpf-columns">
				      <span class="prefix radius">Encryption</span>

				    </div>
				    <div class="large-4 gpf-columns">
				    	<select name="zm-smtp-enc" id="zm-smtp-enc">
							<option value="no" <?php echo zm_isset($email_setup['encryption'], 'no', true) == 'no' ? 'selected="selected"' : ''; ?>>No Encryption</option>
							<option value="ssl" <?php echo zm_isset($email_setup['encryption'], 'no', true) == 'ssl' ? 'selected="selected"' : ''; ?>>SSL</option>
							<option value="tls" <?php echo zm_isset($email_setup['encryption'], 'no', true) == 'tls' ? 'selected="selected"' : ''; ?>>TLS</option>
			      		</select>
				    </div>
			    </div>
			    <table class="zm-table-switch">
					<tr>
						<td style="width: 90px">
						<div class="gpf-switch" id="zm-is-auth">
						  <input id="zm-is-auth-off" name="zm-is-auth" value="off" type="radio" <?php echo (zm_isset($email_setup['is_auth']) == 'on' ? '' : 'checked') ?>>
						  <label for="zm-is-auth-off" class="zm-switch">No</label>
						  <input id="zm-is-auth-on" name="zm-is-auth" value="on" type="radio" <?php echo (zm_isset($email_setup['is_auth']) == 'on' ? 'checked' : '') ?>>
						  <label for="zm-is-auth-on" class="zm-switch">Yes</label>
						  <span></span>
						</div>
						</td>
						<td>Use SMTP Authentication?</td>
					</tr>
				</table>
				<br>
				<div class="gpf-row collapse" id="zm-is-auth_field" <?php echo (zm_isset($email_setup['is_auth']) == 'on' ? '' : 'style="display:none;"') ?>>
					<div class="large-2 gpf-columns">
				      <span class="prefix radius">SMTP Username</span></span>
				    </div>
				    <div class="large-4 gpf-columns">
				    	<input type="text" name="zm-smtp-username" id="zm-smtp-username" value="<?php echo zm_isset($email_setup['smtp_username']); ?>" />
				    </div>
				    <div class="large-2 gpf-columns">
				      <span class="prefix radius">SMTP Password</span></span>
				    </div>
				    <div class="large-4 gpf-columns">
				    	<input type="password" name="zm-smtp-password" id="zm-smtp-password" value="<?php echo zm_isset($email_setup['smtp_password']); ?>" />
				    </div>
				</div>
			</div>
			<div class="gpf-row collapse">
			    <div class="large-2 gpf-columns">
			      <span class="prefix radius"><?php _e('Test Email', 'zm'); ?></span>
			    </div>
			    <div class="large-8 gpf-columns">
			    	<input class="email" type="text" name="zm-test-email" id="zm-test-email" value="" placeholder="Enter the email you want the &quot;test email&quot; to be sent to"/>
			    </div>
			    <div class="large-2 gpf-columns">
			      <span class="gpf-button postfix radius zm-test-email"><i class="icon-share-alt"></i> Send Test Email</span>
			    </div>
		    </div>
		    
		    <div id="zm-tabs-container">
				<ul class="zm-tabs-menu-nestedception">
					<li id="welcome" <?php echo ($tabsmenunestedception == 'welcome') ? 'class="zm-tabs-active"' : ''; ?>><?php _e('Welcome', 'zm'); ?></li>
					<li id="forgot" <?php echo ($tabsmenunestedception == 'forgot') ? 'class="zm-tabs-active"' : ''; ?>><?php _e('Forgot Password', 'zm'); ?></li>
				</ul>
				<span class="zm-tabs-clear"></span>
				<div class="zm-tabs-content-nestedception welcome" <?php echo ($tabsmenunestedception == 'welcome') ? '' : 'style="display:none;"'; ?>>
					<table class="zm-table-switch">
						<tr>
							<td style="width: 90px">
							<div class="gpf-switch" id="zm-wemail-admin">
							  <input id="zm-wemail-admin-off" name="zm-wemail-admin" value="off" type="radio" <?php echo (zm_isset($email_setup['welcome_email']['send_admin']) == 'on' ? '' : 'checked') ?>>
							  <label for="zm-wemail-admin-off" class="zm-switch">No</label>
							  <input id="zm-wemail-admin-on" name="zm-wemail-admin" value="on" type="radio" <?php echo (zm_isset($email_setup['welcome_email']['send_admin']) == 'on' ? 'checked' : '') ?>>
							  <label for="zm-wemail-admin-on" class="zm-switch">Yes</label>
							  <span></span>
							</div>
							</td>
							<td>Also notify me</td>
						</tr>
					</table>
					<br />
					<div class="gpf-row collapse">
						<div class="large-1 gpf-columns">
					      <span class="prefix radius">Subject</span>
					    </div>
					    <div class="large-11 gpf-columns">
					    	<input type="text" name="zm-wemail-subject" id="zm-wemail-subject" value="<?php echo zm_sanitize($email_setup['welcome_email']['subject']); ?>" />
					    </div>
				    </div>
				    <div class="gpf-row collapse">
						<div class="large-1 gpf-columns">
					      <span class="prefix radius">Body</span>
					    </div>
					    <div class="large-11 gpf-columns">
					    	<textarea name="zm-wemail-body" id="zm-wemail-body" style="min-height:400px"><?php echo zm_sanitize($email_setup['welcome_email']['body']); ?></textarea>
					    </div>
				    </div>
				    <div class="gpf-row collapse">
						<div class="large-1 gpf-columns">
					    </div>
					    <div class="large-11 gpf-columns">
					    	<fieldset>
					    		<legend>You can add these merge tags</legend>
					    		<div class="zm-macro-box">
					    			<p>
					    				<code>[%username%]</code> - Member's username<br />
                        				<code>[%password%]</code> - Member's password<br />
                        				<code>[%first_name%]</code> - Member's first name<br />
										<code>[%last_name%]</code> - Member's last name<br />
										<code>[%email_addr%]</code> - Member's email address<br />
										<code>[%download%]</code> - Purchased product download URL<br />
                        				<code>[%members_home%]</code> - After Login/Welcome page URL (can be used in email body only)<br />
                    				</p>
								</div>
					    	</fieldset>
					    </div>
				    </div>
				</div>
				
				<!-- FORGOT EMAIL-->
				<div class="zm-tabs-content-nestedception forgot" <?php echo ($tabsmenunestedception == 'forgot') ? '' : 'style="display:none;"'; ?>>
					<br>
					<div id="zm-semail-enable_field">
						<div class="gpf-row collapse">
							<div class="large-1 gpf-columns">
						      <span class="prefix radius">Subject</span>
						    </div>
						    <div class="large-11 gpf-columns">
						    	<input type="text" name="zm-femail-subject" id="zm-femail-subject" value="<?php echo zm_sanitize($email_setup['forgot_email']['subject']); ?>" />
						    </div>
					    </div>
					    <div class="gpf-row collapse">
							<div class="large-1 gpf-columns">
						      <span class="prefix radius">Body</span>
						    </div>
						    <div class="large-11 gpf-columns">
						    	<textarea name="zm-femail-body" id="zm-femail-body" style="min-height:400px"><?php echo zm_sanitize($email_setup['forgot_email']['body']); ?></textarea>
						    </div>
					    </div>
					    <div class="gpf-row collapse">
							<div class="large-1 gpf-columns">
						    </div>
						    <div class="large-11 gpf-columns">
						    	<fieldset>
						    		<legend>You can add these merge tags</legend>
						    		<div class="zm-macro-box">
						    			<p>
	                        				<code>[%username%]</code> - Member's username<br />
	                        				<code>[%generate_password_url%]</code> - URL to generate new password<br />
                        				</p>
									</div>
						    	</fieldset>
						    </div>
					    </div>
					</div>
				</div>
			</div>
		</div>
	</div>
	
	<div class="zm-tabs-content s3" <?php echo ($tabsmenu == 's3') ? '' : 'style="display:none;"'; ?>>
		<br>
		<table class="zm-table-switch">
			<tr>
				<td style="width: 90px">
				<div class="gpf-switch" id="zm-az-enable">
				  <input id="zm-az-enable-off" name="zm-az-enable" value="off" type="radio" <?php echo (zm_isset($general['az_enable']) == 'on' ? '' : 'checked') ?>>
				  <label for="zm-az-enable-off" class="zm-switch">No</label>
				  <input id="zm-az-enable-on" name="zm-az-enable" value="on" type="radio" <?php echo (zm_isset($general['az_enable']) == 'on' ? 'checked' : '') ?>>
				  <label for="zm-az-enable-on" class="zm-switch">Yes</label>
				  <span></span>
				</div>
				</td>
				<td><p>Enable Amazon S3</p></td>
			</tr>
		</table>
		<div class="gpf-row collapse" id="zm-az-enable_field" <?php echo (zm_isset($general['az_enable']) == 'on' ? '' : 'style="display:none;"') ?>>
		    <div class="large-2 gpf-columns">
		      <span class="prefix radius">API Key</span>
		    </div>
		    <div class="large-10 gpf-columns">
		    	<input type="text" name="zm-az-api" id="zm-az-key" value="<?php echo zm_isset($general['az_api']); ?>" />
		    </div>
		    <div class="large-2 gpf-columns">
		      <span class="prefix radius">Secret Key</span>
		    </div>
		    <div class="large-10 gpf-columns">
		    	<input type="text" name="zm-az-key" id="zm-az-key" value="<?php echo zm_isset($general['az_key']); ?>"/>
		    </div>
		    <div>
		    	<p style="font-size: 14px">These are optional fields that you have to set if you want to integrate your Amazon S3 files with your hosted thank you page. <a href="https://portal.aws.amazon.com/gp/aws/securityCredentials" target="_blank"><span class="gpf-label round">Click here</span></a> to get your Access Key ID and Secret Access Key.</p>
		    </div>
	    </div>
	</div>
	<div class="zm-tabs-content autolock" <?php echo ($tabsmenu == 'autolock') ? '' : 'style="display:none;"'; ?>>
		<br>
		<table class="zm-table-switch">
			<tr>
				<td style="width: 90px">
				<div class="gpf-switch" id="zm-autolock">
				  <input id="zm-autolock-off" name="zm-autolock" value="off" type="radio" <?php echo (zm_isset($general['lock_enable']) == 'on' ? '' : 'checked') ?>>
				  <label for="zm-autolock-off" class="zm-switch">No</label>
				  <input id="zm-autolock-on" name="zm-autolock" value="on" type="radio" <?php echo (zm_isset($general['lock_enable']) == 'on' ? 'checked' : '') ?>>
				  <label for="zm-autolock-on" class="zm-switch">Yes</label>
				  <span></span>
				</div>
				</td>
				<td><p>Enable Auto Lock Members<span data-tooltip class="zm-help tip-top" title="This is a feature to automatically lock a member who logs in to access your product with different IP addresses within a period of time. This is useful when you want to prevent members from passing around their login info just so other people can access your product for free."></span></p></td>
			</tr>
		</table>
		<div class="gpf-row collapse" id="zm-autolock_field" <?php echo (zm_isset($general['lock_enable']) == 'on' ? '' : 'style="display:none"') ?>>
			<br>
			<div class="large-12 gpf-columns">
		    <p style="font-size: 14px;">
		    	<b>Hint:</b> The less the number of IP Address and the more the number of minutes, the stricter you get.<br>Examples:<br><b>1 IP Address in 100 minutes</b> is stricter than <b>10 IP Address in 100 minutes</b><br><b>1 IP Address in 100 minutes</b> is stricter than <b>1 IP Address in 10 minutes</b>
		    </p>
		    </div>
		    <div class="large-5 gpf-columns">
		      <span class="prefix radius">Lock member if he/she accessed my product from</span>
		    </div>
		    <div class="large-1 gpf-columns">
		    	<input type="text" name="zm-lock-ip" id="zm-lock-ip" value="<?php echo zm_isset($general['lock_ip'], 5); ?>" />
		    </div>
		    <div class="large-4 gpf-columns">
		      <span class="prefix radius">different IP Address(es), in</span>
		    </div>
		    <div class="large-1 gpf-columns">
		    	<input type="text" name="zm-lock-minute" id="zm-lock-minute" value="<?php echo zm_isset($general['lock_minute'], 60); ?>" />
		    </div>
		    <div class="large-1 gpf-columns">
		    	<span class="postfix radius">minute(s)</span>
		    </div>
	    </div>
	</div>
	<div class="zm-tabs-content creator" <?php echo ($tabsmenu == 'creator') ? '' : 'style="display:none;"'; ?>>
		<input type="hidden" name="zm_creator_state" class="creator_state" value="0" />
		<!-- PAGE CREATOR -->
		<?php
			$products = zm_get_all('product');
			$statuses = array('draft', 'publish', 'pending');
		
		if ( !empty($_GET['res_id']) ) : 
			$c_results = get_transient('zm_creator_' . $_GET['res_id']);
			$pages_total = count($c_results);
		?>
		<div id="zm-creator-success" class="gpf-row collapse">
			<div class="large-12 gpf-columns">
				<div class="alert-box success" style="margin:10px 0">
					<p><?php echo "{$pages_total} page" . (($pages_total > 0) ? 's' : '') . " has been successfully created."; ?></p>
				</div>
			</div>
			<div class="large-12 gpf-columns">
				<table class="gpf-table" cellspacing="0">
					<thead>
						<tr>
							<th></th>
							<th><span>Title</span></th>
							<th><span>Status</span></th>
							<th><span>Edit</span></th>
						</tr>
					</thead>
					<tfoot>
						<tr>
							<th></th>
							<th><span>Title</span></th>
							<th><span>Status</span></th>
							<th><span>Edit</span></th>
						</tr>
					</tfoot>
					
					<tbody id="the-list">
						<?php if ( $c_results ) :
							foreach ( $c_results as $res ) {
								$c_status = ( $res['status'] == 'success' ) ? 'Page has been created.' : '<span style="color:#FF0000">' . $res['status'] . '</span>';
								$c_child = ( $res['child'] == 1 ) ? '&#8212; ' : '';
								$c_edit = ( $res['status'] == 'success' ) ? "<a href='" . admin_url('post.php?post=' . $res['id'] . '&action=edit') . "' target='_blank' class='gpf-button tiny radius'>Edit</a>" : '-';
								echo "<tr class='zm-row' valign='top'><th></th><td><strong>{$c_child}{$res['title']}</strong></td><td>{$c_status}</td><td>{$c_edit}</td>";
							}
						else : ?>
						<tr class="alternate" valign="top">
							<td align="center" colspan="3">-- No page created --</td>
						</tr>
						<?php endif; ?>
					</tbody>
				</table>
			</div>
			<div class="large-12 gpf-columns">
				<p style="text-align:right"><span class="gpf-button tiny radius alert disabled zm-creator-dismiss"><i class="icon-remove"></i> dismiss</span></p>
			</div>
		</div>
		<?php endif; ?>
		
		<div class="gpf-row collapse">
			<div class="large-12 gpf-columns">
				<p>If you need to create several pages, instead of creating them one-by-one, you can simply use this feature, which allows you to create several pages at once.</p>
			</div>
		</div>
		
		<div id="zm-creator-main-fields" class="gpf-row collapse">
			<div class="large-2 gpf-columns">
				<span class="prefix radius"><?php _e('Product', 'zm'); ?></span>
			</div>
			<div class="large-4 gpf-columns">
		    	<select class="zm_creator_product">
					<?php foreach ( $products as $product ) :
						echo "<option value='" . zm_sanitize($product->title) . "'>" . zm_sanitize($product->title) . "</option>";
					endforeach; ?>
	      		</select>
		    </div>
			<div class="large-2 gpf-columns">
				<span class="prefix radius"><?php _e('Number of pages', 'zm'); ?></span>
			</div>
			<div class="large-2 gpf-columns ">
				<input type="text" class="zm_creator_num" value="3" />
			</div>
		    <div class="large-2 gpf-columns">
				<span class="gpf-button radius postfix zm-create-page-form">Continue <i class="icon-arrow-right"></i> </span>
			</div>
		</div>
		
		<div id="zm-creator-placeholder"></div>
		<div id="zm-new-page-add" style="display:none; text-align:right"><span style="margin:0 !important;" class="gpf-button radius success zm-add-page" ><i class="icon-plus"></i> add new page</span></div>
		
		<div id="zm-parent-fields" class="gpf-row collapse" style="display:none">
			<input type="hidden" class="parent_num" value="0" />
			<input type="hidden" class="child_num" value="0" />
			<div class="large-1 gpf-columns">
			  <span class="prefix radius"><?php _e('Title', 'zm'); ?></span>
			</div>
			<div class="large-5 gpf-columns ">
				<input type="text" class="zm_page_title" value="" />
			</div>
		    <div class="large-1 gpf-columns">
			  <span class="prefix radius"><?php _e('Status', 'zm'); ?></span>
			</div>
			<div class="large-2 gpf-columns">
		    	<select class="zm_page_status">
					<?php foreach ( $statuses as $status ) :
						$selected = ( $status == 'publish' ) ? ' selected="selected"' : '';
						echo "<option value='{$status}'{$selected}>" . ucwords($status) . "</option>";
					endforeach; ?>
	      		</select>
		    </div>
		    <div class="large-2 gpf-columns">
				<span class="gpf-button radius prefix zm-add-child-page" title="Add New Child Page"><i class="icon-plus"></i> Add Child</span>
			</div>
			<div class="large-1 gpf-columns">
				<span class="gpf-button grey radius postfix zm-remove-page" title="Remove This Page"><i class="icon-minus"></i></span>
			</div>
		</div><!-- zm-parent-fields-->
		
		<div id="zm-child-fields" class="gpf-row collapse" style="display:none">
			<div class="large-1 gpf-columns">
			 	<p>&nbsp;</p>
			</div>
			<div class="large-2 gpf-columns">
			  <span class="prefix radius"><?php _e('Title', 'zm'); ?></span>
			</div>
			<div class="large-4 gpf-columns ">
				<input type="text" class="zm_child_title" value="" />
			</div>
		    <div class="large-2 gpf-columns">
			  <span class="prefix radius"><?php _e('Status', 'zm'); ?></span>
			</div>
			<div class="large-2 gpf-columns">
		    	<select class="zm_child_status">
					<?php foreach ( $statuses as $status ) :
						$selected = ( $status == 'publish' ) ? ' selected="selected"' : '';
						echo "<option value='{$status}'{$selected}>" . ucwords($status) . "</option>";
					endforeach; ?>
	      		</select>
		    </div>
		     <div class="large-1 gpf-columns">
				<span class="gpf-button grey radius postfix zm-remove-page"><i class="icon-minus"></i></span>
			</div>
		</div><!-- zm-child-fields-->
	</div>
	<div class="zm-tabs-content exim" <?php echo ($tabsmenu == 'exim') ? '' : 'style="display:none;"'; ?>>
		<!-- EXPORT/IMPORT SETUP -->
		<div class="section-container zm-accordion">
			<section>
				<p class="title zm-accordion-title"><a href="#">To/From an existing Zaxaa Member installation</a></p>
				<div class="zm-accordion-content">
					<p><strong>Important: </strong> Since the posts/pages between this installation and another installation might be different, the Zaxaa Member content access data (protection) will not be exported/imported.</p>
					<div class="gpf-row collapse">
					    <div class="large-3 gpf-columns">
					      <span class="prefix radius">Export Zaxaa Member</span>
					    </div>
					    <div class="large-6 gpf-columns"><a href="<?php echo admin_url('admin.php?page=zm-admin&mode=config&action=zm_export_data&_zmnonce=' . $nonce); ?>" class="gpf-button radius postfix"><i class="icon-table"></i> Click here to export Zaxaa Member data to a file</a></div>
					    <div class="large-3 gpf-columns"></div>
				    </div>
				    <div class="gpf-row collapse">
					    <div class="large-3 gpf-columns">
					      <span class="prefix radius">Import Zaxaa Member <span data-tooltip class="zm-help tip-top" title="Simply click on the &quot;Browse&quot; or &quot;Choose File&quot; button, choose the Zaxaa Member json file, and then click the &quot;Import Now&quot; button."></span></span>
					    </div>
					    <div class="large-4 gpf-columns"><input type="file" class="gpf-button secondary" name="zm-import-file" id="zm-import-file" style="width: 100%;height: 33px;padding: 0px; border-right: 2px solid #fff !important;"/></div>
				    	<div class="large-2 gpf-columns"><button type="submit" id="zm-import-d" name="zm-import-submit" class="gpf-button postfix radius"><i class="icon-download-alt"></i> Import Now</button></div>
				    	<div class="large-3 gpf-columns"></div>
				    </div>
				</div>
			</section>
			<section>
				<p class="title zm-accordion-title"><a href="#">To/From a 3rd party membership script (.csv)</a></p>
				<div class="zm-accordion-content">
					<p>With this feature, you can now import membership data from an existing membership script you use to Zaxaa Member, and let it handle your membership site instead! <a href="http://support.zaxaa.com/hc/en-us/articles/202974676" target="_blank">Click here to learn how to format the CSV file</a></p>
					<div class="gpf-row collapse">
					    <div class="large-3 gpf-columns">
					      <span class="prefix radius">Export</span>
					    </div>
					    <div class="large-6 gpf-columns"><a href="<?php echo admin_url('admin.php?page=zm-admin&mode=config&action=zm_export_m_data&_zmnonce=' . $nonce); ?>" class="gpf-button radius postfix"><i class="icon-table"></i> Click here to export Zaxaa Member data to a CSV file</a></div>
					    <div class="large-3 gpf-columns"></div>
				    </div>
				    <div class="gpf-row collapse">
					    <div class="large-3 gpf-columns">
					      <span class="prefix radius">Import<span data-tooltip class="zm-help tip-top" title="Simply click on the &quot;Browse&quot; or &quot;Choose File&quot; button, choose the CSV file, and then click the &quot;Import Now&quot; button."></span></span>
					    </div>
					    <div class="large-4 gpf-columns"><input type="file" class="gpf-button secondary" name="zm-import-m-file" id="zm-import-m-file" style="width: 100%;height: 33px;padding: 0px; border-right: 2px solid #fff !important;"/></div>
				    	<div class="large-2 gpf-columns"><button type="submit" id="zm-import-m" name="zm-import-m-submit" class="gpf-button postfix radius"><i class="icon-download-alt"></i> Import Now</button></div>
				    	<div class="large-3 gpf-columns"></div>
				    </div>
				</div>
			</section>
		</div>
	</div>
</div>
<div class="post-meta-box">
	<input type="hidden" name="zm_submit_form" value="save_config" />
	<input name="zm-submit" id="zm-submit" type="submit" value="<?php echo ((isset($_COOKIE['zm_tabs_menu']) && $_COOKIE['zm_tabs_menu'] == 'creator') ? 'Create Page(s)' : 'Save Changes'); ?>" class="radius gpf-button zm_submit_form" />
</div>
</form>
</div><!-- ajax load wrapper -->