<?php
	if (zm_isset($_GET['welcome']) == 'true'){
		echo '<div class="alert-box success" style="margin:10px 0"><p><i class="icon-smile icon-large"></i> Welcome to ZAXAA MEMBER.</p></div>';
	}
	
	$today = zm_get_count('payment', 'today');
	$yesterday = zm_get_count('payment', 'yesterday');
	$mtoday = zm_get_count('member', 'today');
	$myesterday = zm_get_count('member', 'yesterday');
?>
<div id="zm-dashboard"><!-- ajax load wrapper -->
<div class="zm-biglabel"><i class="icon-dashboard"></i> Dashboard</div>
<div class="gpf-row collapse">
	<div class="large-3 gpf-columns">
		<div class="zm-widget earning2">
			<span class="zmicons"><?php echo zm_isset($today, '0.00'); ?></span>
			<span class="txt">Today's Revenue</span>
			<div class="clearfix"></div>
		</div>
	</div>
	<div class="large-3 gpf-columns">
		<div class="zm-widget earning" style="margin-right: 10px;">
			<span class="zmicons"><?php echo zm_isset($mtoday, '0'); ?></span>
			<span class="txt">Today's New Members</span>
			<div class="clearfix"></div>
		</div>
	</div>
	<div class="large-3 gpf-columns">
		<div class="zm-widget earning2">
			<span class="zmicons"><?php echo zm_isset($yesterday, '0.00'); ?></span>
			<span class="txt">Yesterday's Revenue</span>
			<div class="clearfix"></div>
		</div>
	</div>
	<div class="large-3 gpf-columns">
		<div class="zm-widget earning">
			<span class="zmicons"><?php echo zm_isset($myesterday, '0'); ?></span>
			<span class="txt">Yesterday's New Members</span>
			<div class="clearfix"></div>
		</div>
	</div>
</div>
<br>
<div class="gpf-row collapse">
	<div class="large-12 gpf-columns">
		<div class="zm-widget chart">
			<div id="zm-chart" style="width: 100%;"></div>
		</div>
	</div>
</div>
<br><br>
<div class="zm-tape">
	<strong class="title"><i class="icon-bar-chart"></i> Last 10 Sales</strong>
</div>
<?php
zm_table_open(array('', 'Date', 'Product', 'Price', 'Currency',  'Payment Status', 'Member'), '', false);
$data = zm_get_all('payment', '', 'last10');
if ($data){
	foreach($data as $row){
		echo '<tr valign="top" class="zm-row">';
		echo '<td><i class="icon-calendar-empty"></i></td>';
		echo '<td>'.date('M d, Y, H:i A', $row->txn_date).'</td>';
		echo '<td>'.($row->title ? $row->title : '<span class="gpf-label alert round">-deleted-</span>').'</td>';
		echo '<td>'.$row->amount.'</td>';
		echo '<td>'.$row->currency.'</td>';
		echo '<td>'.zm_status($row->status).'</td>';
		echo '<td>'.($row->username ? $row->username : '<span class="gpf-label alert round">-deleted-</span>').'</td>';
		echo '</tr>';
	}
}else{
	echo '<tr class="alternate" valign="top">
		<td colspan="7" align="center">--No data--</td>
	</tr>';
}
zm_table_close();
?>
</div><!-- ajax load wrapper -->