<?php
$tabsmenunestedception = zm_isset($_COOKIE['zm_tabs_menu_nestedception'], 'member-ereport');
$idception = array('member-dreport', 'member-preport', 'member-ereport');
$tabsmenunestedception = in_array($tabsmenunestedception, $idception) ? $tabsmenunestedception : 'member-ereport';

$site_name = get_bloginfo('name');
$products = zm_get_all('product');
?>
<div id="zm-report"><!-- ajax load wrapper -->
	<div class="zm-biglabel"><i class="icon-bar-chart"></i> Report<?php //if (zm_isset($data) ) echo '&nbsp;&nbsp;&nbsp;<span style="margin:0 !important;" data-type="report" class="gpf-button radius disabled tiny alert zm-delete-all"><i class="icon-trash"></i> delete all transactions history <span data-tooltip class="zm-help-white tip-top" title="If you deleted all transactions history, it means all of your current members will have no access to all of your products."></span></span>'; ?></div>
	<div id="zm-tabs-container">
		<ul class="zm-tabs-menu-nestedception">
			<li id="member-ereport" class="zm-tabs-active"><?php _e('Engagement', 'zm'); ?></li>
		</ul>
		<span class="zm-tabs-clear"></span>
		<div class="zm-tabs-content-nestedception member-ereport">
			<p>Engagement Report is useful when you want to gauge how well your membership site content is doing and how active your members are. Are they logging in to view your content regularly? Are you engaging them enough with your content?</p>
			<?php
			
			$etime = zm_isset($_GET['etime'], '7daysago');
			
			$conditions = '&etime='.$etime;
			if ($etime == 'exactdate'){
				$conditions .= '&ef='.$_GET['ef'];
				$conditions .= '&et='.$_GET['et'];
			}
			
			$params = array('zm_txn_time' => $etime);
			$params['zm_from'] = isset($_GET['ef']) ? $_GET['ef'] : '';
			$params['zm_to'] = isset($_GET['et']) ? $_GET['et'] : '';
			
			$data = zm_get_all('report', $params, 'engagement');
			//var_dump($data);
			?>
			<form class="custom">
				<div class="gpf-row collapse">
					<div class="large-2 gpf-columns">
					  <span class="prefix radius"><?php _e('Date', 'zm'); ?></span>
					</div>
					<div class="large-<?php echo $etime == 'exactdate' ? '3' : '9'; ?> gpf-columns" id="zm_txn_etime_parent">
						<select name="zm_txn_etime" id="zm_txn_etime">
							<option value="all" <?php echo $etime == 'all' ? 'selected="selected"' : ''; ?>>All</option>
							<option value="today" <?php echo $etime == 'today' ? 'selected="selected"' : ''; ?>>Today</option>
							<option value="yesterday" <?php echo $etime == 'yesterday' ? 'selected="selected"' : ''; ?>>Yesterday</option>
							<option value="7daysago" <?php echo $etime == '7daysago' ? 'selected="selected"' : ''; ?>>Last 7 Days</option>
							<option value="30daysago" <?php echo $etime == '30daysago' ? 'selected="selected"' : ''; ?>>Last 30 Days</option>
							<option value="exactdate" <?php echo $etime == 'exactdate' ? 'selected="selected"' : ''; ?>>Use Exact Date</option>
						</select>
					</div>
					<div class="large-3 gpf-columns zm-eexact-search" <?php echo $etime == 'exactdate' ? '' : 'style="display:none;"'; ?>>
						<input type="text" name="zm_from" id="zm-start-eexact-search" value="<?php echo isset($_GET['pf']) ? $_GET['pf'] : date("m/d/Y"); ?>" />
					</div>
					<div class="large-3 gpf-columns zm-eexact-search" <?php echo $etime == 'exactdate' ? '' : 'style="display:none;"'; ?>>
						<input type="text" name="zm_to" id="zm-until-eexact-search" value="<?php echo isset($_GET['pt']) ? $_GET['pt'] : date("m/d/Y", strtotime("tomorrow")); ?>" />
					</div>
					<div class="large-1 gpf-columns">
					  <span data-title="Zaxaa Member Reports &lsaquo; <?php echo $site_name; ?>" data-url="<?php echo admin_url('admin.php?page=zm-admin&mode=report'); ?>" class="gpf-button radius postfix" id="zm-search-ereport"><i class="icon-search"></i> Search</span>
					</div>
				</div>
			</form>
			<div id="sem-ereport">
				<div id="zm-<?php echo isset($_GET['etime']) ? zm_generate_mode(admin_url('admin.php?page=zm-admin&mode=report'.$conditions)) : 'default'; ?>">
				<?php
				$etable = '';
				$page_accessed = zm_get_count('report', $params, 'engagement');
				$oflogin = 0;
				if ($data){
					$oflogin = count($data);
					foreach($data as $row){
						$etable .= '<tr valign="top" class="zm-row">';
						$etable .= '<td><i class="icon-male"></i></td>';
						$etable .= '<td>'.$row->username.'</td>';
						$etable .= '<td><span class="zm-eng-detail-page gpf-label success round" data-member="'.$row->member_id.'">'.$row->total_page.' <i class="icon-file-alt"></i></span></td>';
						$etable .= '<td><span class="zm-eng-detail-ip gpf-label success round" data-member="'.$row->member_id.'">'.$row->total_ip.' <i class="icon-location-arrow"></i></span></td>';
						$etable .= '</tr>';
					}
				}else{
					$etable .= '<tr><td colspan="4" style="text-align:center;">--No data--</td></tr>';
				}
				?>
				<div class="zm-total-stats">
					<ul>
						<li><a href="#"> <div class="item"> <div class="icon blue"><i class="icon-lock icon-2x"></i></div><span class="txt"># of Logins</span><span class="percent"><?php echo $oflogin; ?></span></div> </a></li>
						<li><a href="#"> <div class="item"> <div class="icon green"><i class="icon-copy icon-2x"></i></div><span class="txt">Page/Post Accessed</span><span class="percent"><?php echo $page_accessed; ?></span></div> </a></li>
					</ul>
				</div>
				<p style="display: none">
					<input type="checkbox" name="zm-eng-geotagging" id="zm-eng-geotagging" value="1" style="position:relative;top:5px;" />&nbsp;Enable Geo Tagging?<span data-tooltip class="zm-help tip-top" title="If you check this, all IP Address details below will include the location (city, country). It will take some times to get these data, so please be patient."></span>
				</p>
				<?php
				zm_table_open(array('','Member', 'Protected Page/Post Accessed', 'IP Address'), '', false);
				echo $etable;
				zm_table_close();
				?>
				</div>
			</div>
			<div id="zm-eng-box" style="display: none"></div>
		</div>
	</div>
</div><!-- ajax load wrapper -->