(function($) {
	var ancestor = $('.zm_access_meta_box');
	
	ancestor.delegate('.zm-select', 'click', function(){
		var parent = $(this).parent().parent();
		
		if (parent.hasClass('zm-row')){
			if ($(this).is(":checked")){
				parent.find('.zm-public-access').hide();
				parent.find('.zm-private-access').show();
				parent.addClass('zm-row-selected');
			}else{
				parent.find('.zm-private-access').hide();
				parent.find('.zm-public-access').show();
				parent.removeClass('zm-row-selected');
			}
		}
	});
	
	ancestor.delegate('.zm-select-allmeta', 'click', function(){
		var parent = $(this).parent().parent().parent().parent();
		
		if ($(this).is(":checked")){
			$('.zm-selectmeta').attr('checked', true);
			var tr = parent.find('tr');
			tr.each(function(){
				if ($(this).hasClass('zm-row')){
					$(this).addClass('zm-row-selected');
					$(this).find('.zm-public-access').hide();
					$(this).find('.zm-private-access').show();
				}
			});
		}else{
			$('.zm-selectmeta').attr('checked', false);
			var tr = parent.find('tr');
			tr.each(function(){
				if ($(this).hasClass('zm-row')){
					$(this).removeClass('zm-row-selected');
					$(this).find('.zm-private-access').hide();
					$(this).find('.zm-public-access').show();
				}
			});
		}
	});
	
	ancestor.delegate('.zm-ac-use-end', 'click', function(){
		if ($(this).is(":checked")){
			$(this).parent().parent().parent().find('input:text').attr('disabled', false);
			$(this).parent().parent().parent().find('select').attr('disabled', false);
		}else{
			$(this).parent().parent().parent().find('input:text').attr('disabled', true);
			$(this).parent().parent().parent().find('select').attr('disabled', true);
		}
	});
	
	ancestor.delegate('.zm-ca-changemode', 'change', function(){
		var ak = $(this).attr('accesskey');
		var val = $(this).val();
		
		if (val == 'X'){
			$('#numb'+ak).hide();
			$('#date'+ak).show();
		}else{
			$('#date'+ak).hide();
			$('#numb'+ak).show();
		}
	});
	
	ancestor.delegate('.zm-start-dp-value', 'mouseenter', function(){
		$(this).fdatepicker();
	});
	
	ancestor.delegate('.zm-end-dp-value', 'mouseenter', function(){
		$(this).fdatepicker();
	});
})(jQuery);