jQuery(document).ready(function(){
	
	//Support IE placeholder
	if ( jQuery.browser.msie ) {
		jQuery('[placeholder]').focus(function() {
		  var input = jQuery(this);
		  if (input.val() == input.attr('placeholder')) {
		    input.val('');
		    input.removeClass('placeholder');
		  }
		}).blur(function() {
		  var input = jQuery(this);
		  if (input.val() == '' || input.val() == input.attr('placeholder')) {
		    input.addClass('placeholder');
		    input.val(input.attr('placeholder'));
		  }
		}).blur();
	}
	
	jQuery('.zm-required').validate({
		submitHandler: function(form) {
		   form.submit();
		},rules: {
			recaptcha_response_field: {
		    	required: true
		    }
		}
	});
	jQuery('#zm-forgot-button').click(function(e){
		e.preventDefault();
		jQuery('#zm-login-form').hide();
		jQuery('#zm-forgot-form').slideDown('slow');
	});
	
	jQuery('#zm-forgot-back').click(function(e){
		e.preventDefault();
		jQuery('#zm-forgot-form').hide();
		jQuery('#zm-login-form').slideDown('slow');
	});
	
	jQuery('#zm-forgot-send').click(function(e){
		e.preventDefault();
		
		var parent = jQuery(this);
		var email = jQuery('input[name="zm-forgot-email"]').val();
		email = email.trim();
		
		parent.html('<i class="icon-spinner icon-spin"></i> checking...');
		
		if (email.length > 5){
			setTimeout(function(){
				var data = {
					action: 'zm_send_forgot',
					email: email
				};
				jQuery.post(ajaxurl, data, function(response) {
					setTimeout(function(){
						//process response here
						if (response == 'okay'){
							parent.html('<i class="icon-spinner icon-spin"></i> sending...');
							setTimeout(function(){
								parent.html('Send Reset Password Email');
								alert('Email sent! Please check your email to reset your password.');
							}, 200);
						}else{
							parent.html('Send Reset Password Email');
							alert('Email is not registered yet');
						}
					}, 200);
				});
			}, 500);
		}else{
			parent.html('Send Reset Password Email');
			alert('Please enter valid email address');
		}
	});
	
	jQuery.validator.addMethod("check_password", function( value, element ) {
		var result = this.optional(element) || /^[A-Za-z0-9`~!@#jQuery%^&*()_|+\-=?;:'",.<>\{\}\[\]\\\/]{6,50}jQuery/.test(value);
		if ( !result )
			element.focus();
		return result;
	}, "Password must be at least 6 characters, and must not include white space.");
	
	jQuery('.zm-profile').validate({
		submitHandler: function(form) {
		   form.submit();
		}, rules: {
		    zm_email: {
		    	required: true,
		    	email: true,
		    },
		    zm_repassword: {
		    	//check_password: true,
		    	equalTo: "#zm_password"
		    }
		}
	});
	
	jQuery('.semform-submit').click(function(){
		jQuery(this).val('Signing Up...');
	});
	
	setTimeout(function(){
		jQuery('.zm-login-error').fadeOut(5000);	
	}, 10000);
});
