(function() {
	tinymce.create('tinymce.plugins.zmshortcodebox', {
		init : function(ed, url) {
			var t = this;

			ed.addCommand('mcezmshortcodebox', function() {
				ed.windowManager.open({
					file : url + '/shortcode.php',
					width : 480 + ed.getLang('zmshortcodebox.delta_width', 0),
					height : 390 + ed.getLang('zmshortcodebox.delta_height', 0),
					inline : 1
				}, {
					plugin_url : url // Plugin absolute URL
				});
			});

			ed.addButton('zmshortcodebox', {
				title : 'Zaxaa Member Shortcode',
				cmd : 'mcezmshortcodebox',
				image : url+'/icon.png'
				
			});

		},

		/**
		 * Returns information about the plugin as a name/value array.
		 * The current keys are longname, author, authorurl, infourl and version.
		 *
		 * @return {Object} Name/value array containing information about the plugin.
		 */
		getInfo : function() {
			return {
				longname : 'Zaxaa Member Shortcode',
				author : 'Zaxaa',
				authorurl : 'https://www.zaxaa.com',
				infourl : 'https://www.zaxaa.com',
				version : "1.0"
			};
		}

	});
	tinymce.PluginManager.add('zmshortcodebox', tinymce.plugins.zmshortcodebox);
})();