<?php

if (is_admin()) add_action('init', 'zm_tinymce_buttons', 11);

function zm_tinymce_buttons() 
{
   	// Don't bother doing this stuff if the current user lacks permissions
   	if ( ! current_user_can('edit_posts') && ! current_user_can('edit_pages') )
     	return;
 
   	// Add only in Rich Editor mode
   	if ( get_user_option('rich_editing') == 'true') {
		add_filter( 'mce_external_plugins', 'zm_tinymce_plugins' );
		add_filter( 'mce_buttons_3', 'zm_register_buttons' );
   	}
}

function zm_register_buttons( $buttons ) 
{
	array_push( $buttons, "zmshortcodebox");
   	return $buttons;
}

function zm_tinymce_plugins( $plugin_array ) 
{
	$plugin_path = ZM_URL . '/libs/tinymce/plugins';
	$plugin_array['zmshortcodebox']= $plugin_path . '/shortcodebox/editor_plugin_src.js';
   	return $plugin_array;
}